Bug 232930 - biology/canu fails to build with GCC 8
Summary: biology/canu fails to build with GCC 8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason W. Bacon
URL:
Keywords:
Depends on:
Blocks: 231590
  Show dependency treegraph
 
Reported: 2018-11-03 13:21 UTC by Gerald Pfeifer
Modified: 2018-11-07 13:32 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (jwb)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2018-11-03 13:21:35 UTC
This port fails to build with GCC 8, blocking the update of the default
version of GCC to that version.

http://package22.nyi.freebsd.org/data/112amd64-default-PR231590/2018-10-29_06h48m05s/logs/errors/canu-1.7_2.log

AS_UTL/stddev.H: In member function 'std::vector<long unsigned int>& genericStatistics<TT>::Nstatistics()':
AS_UTL/stddev.H:346:12: error: invalid initialization of non-const reference of type 'std::vector<long unsigned int>&' from an rvalue of type 'std::vector<long unsigned int>*'
     return(&_Nstatistics);
           ~^~~~~~~~~~~~~~
gmake[1]: *** [Makefile:659: /wrkdirs/usr/ports/biology/canu/work/canu-1.7/src/usr/local/FreeBSD-amd64/obj/lib/libcanu.a/utgcns/libNDalign/NDalign.o] Error 1
gmake[1]: Leaving directory '/wrkdirs/usr/ports/biology/canu/work/canu-1.7/src'
*** Error code 1


Note: upstream released Canu v1.8 two weeks ago, which may address this
bug?
Comment 1 commit-hook freebsd_committer 2018-11-04 14:29:30 UTC
A commit references this bug:

Author: jwb
Date: Sun Nov  4 14:29:04 UTC 2018
New revision: 484077
URL: https://svnweb.freebsd.org/changeset/ports/484077

Log:
  biology/canu: Upgrade to 1.8, add experimental SLURM integration

  Solves build issue with gcc8.

  PR:             232930
  Reported by:    gerald
  Approved by:    jrm (mentor, implicit)

Changes:
  head/biology/canu/Makefile
  head/biology/canu/distinfo
  head/biology/canu/files/patch-pipelines_canu_Defaults.pm
  head/biology/canu/files/patch-pipelines_canu_Execution.pm
  head/biology/canu/pkg-plist
Comment 2 Gerald Pfeifer freebsd_committer 2018-11-04 20:51:33 UTC
(In reply to commit-hook from comment #1)
> A commit references this bug:
>
> Author: jwb
> Date: Sun Nov  4 14:29:04 UTC 2018
> New revision: 484077
> URL: https://svnweb.freebsd.org/changeset/ports/484077
>
> Log:
>  biology/canu: Upgrade to 1.8, add experimental SLURM integration
>
>  Solves build issue with gcc8.

Thank you!
Comment 3 Jan Beich freebsd_committer 2018-11-07 04:49:32 UTC
Why is this bug still open?
Comment 4 Jason W. Bacon freebsd_committer 2018-11-07 13:32:18 UTC
Good question...

Issue fixed by upgrade.